TopologicalLink (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network

## Class TopologicalLink

- java.lang.Object
- - org.cloudbus.cloudsim.network.TopologicalLink

-     public class TopologicalLink
      extends Object

  This class represents an link (edge) from an graph
  Since:
    CloudSim Toolkit 1.0
  Author:
    Thomas Hohnstein

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologicalLink(int srcNode, int destNode, float delay, float bw)` creates an new link-object

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDestNodeID()` return the node-ID from the DestNode
    `float` | `getLinkBw()` return the link-bw of the defined linke
    `float` | `getLinkDelay()` return the link-delay of the defined linke
    `int` | `getSrcNodeID()` returns the node-ID from the SrcNode

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologicalLink

          public TopologicalLink(int srcNode,
                         int destNode,
                         float delay,
                         float bw)

      creates an new link-object

  - ### Method Detail

    - #### getSrcNodeID

          public int getSrcNodeID()

      returns the node-ID from the SrcNode
      Returns:
        nodeID

    - #### getDestNodeID

          public int getDestNodeID()

      return the node-ID from the DestNode
      Returns:
        nodeID

    - #### getLinkDelay

          public float getLinkDelay()

      return the link-delay of the defined linke
      Returns:
        the delay-amount

    - #### getLinkBw

          public float getLinkBw()

      return the link-bw of the defined linke
      Returns:
        the bw

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.